Bug 120755 - [PATCH] sysutils/munin-main: Use fixed UID/GID
Summary: [PATCH] sysutils/munin-main: Use fixed UID/GID
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dag-Erling Smørgrav
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-17 13:20 UTC by gslin
Modified: 2010-02-24 20:23 UTC (History)
1 user (show)

See Also:


Attachments
munin-main-1.2.5_1.patch (1.72 KB, patch)
2008-02-17 13:20 UTC, gslin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gslin 2008-02-17 13:20:06 UTC
- Use fixed UID/GID 842.
- Please add /usr/ports/UIDs and /usr/ports/GIDs.

Port maintainer (des@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-02-17 13:20:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->des

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Lupe Christoph 2008-02-17 16:15:28 UTC
Hi!

Sorry I did not get around tio wirk on this - I;m still trying to find
out why my VMware installation hangs even before the BIOS screen. I have
no hard GFreeBSD hosts left.

On Sunday, 2008-02-17 at 21:19:17 +0800, Gea-Suan Lin wrote:

> >Synopsis:       [PATCH] sysutils/munin-main: Use fixed UID/GID
> >Synopsis:       [PATCH] sysutils/munin-node: Use fixed GID

The porter's handbook says:

> If your port requires a certain user to be on the installed system, let
> the pkg-install script call pw to create it automatically. Look at
> net/cvsup-mirror for an example. Please note that this is strongly
> discouraged, please register user/group ID numbers as stated below.

> If your port must use the same user/group ID number when it is installed
> as a binary package as when it was compiled, then you must choose a free
> UID from 50 to 999 and register it either in ports/UIDs (for users) or
> in ports/GIDs (for groups). Look at japanese/Wnn6 for an example.

AFAIK, there is no reason for either munin-* port to need a fixed UID
or GID.

Gergely Czuczy gave no reason why the ports would need them:

> sysutils/munin-node in the ports tree doesn't use the GIDs UIDs ID
> allocation mechanism for the munin user and grub, but uses
> auto-generated IDs.

So, why is this bad?

Lupe Christoph
-- 
| The whole aim of practical politics is to keep the populace alarmed    |
| (and hence clamorous to be led to safety) by menacing it with an       |
| endless series of hobgoblins, all of them imaginary.                   |
| H. L. Mencken, "In Defense of Women", 1918                             |
Comment 3 gslin 2008-02-17 16:46:46 UTC
Hello,

Munin is a monitoring software, means it often be installed into
YP/NIS envirnoment servers.

The original method will choose minimum available UID/GID at install
time, this may cause UID/GID collision in early-deployed server.

That's why I think we should use fixed UID/GID in munin-*.

Thanks,

On Sun, Feb 17, 2008 at 05:15:28PM +0100, Lupe Christoph wrote:
> Hi!
> 
> Sorry I did not get around tio wirk on this - I;m still trying to find
> out why my VMware installation hangs even before the BIOS screen. I have
> no hard GFreeBSD hosts left.
> 
> On Sunday, 2008-02-17 at 21:19:17 +0800, Gea-Suan Lin wrote:
> 
> > >Synopsis:       [PATCH] sysutils/munin-main: Use fixed UID/GID
> > >Synopsis:       [PATCH] sysutils/munin-node: Use fixed GID
> 
> The porter's handbook says:
> 
> > If your port requires a certain user to be on the installed system, let
> > the pkg-install script call pw to create it automatically. Look at
> > net/cvsup-mirror for an example. Please note that this is strongly
> > discouraged, please register user/group ID numbers as stated below.
> 
> > If your port must use the same user/group ID number when it is installed
> > as a binary package as when it was compiled, then you must choose a free
> > UID from 50 to 999 and register it either in ports/UIDs (for users) or
> > in ports/GIDs (for groups). Look at japanese/Wnn6 for an example.
> 
> AFAIK, there is no reason for either munin-* port to need a fixed UID
> or GID.
> 
> Gergely Czuczy gave no reason why the ports would need them:
> 
> > sysutils/munin-node in the ports tree doesn't use the GIDs UIDs ID
> > allocation mechanism for the munin user and grub, but uses
> > auto-generated IDs.
> 
> So, why is this bad?
> 
> Lupe Christoph
> -- 
> | The whole aim of practical politics is to keep the populace alarmed    |
> | (and hence clamorous to be led to safety) by menacing it with an       |
> | endless series of hobgoblins, all of them imaginary.                   |
> | H. L. Mencken, "In Defense of Women", 1918                             |

-- 
* Gea-Suan Lin                                    http://blog.gslin.org/
* If you cannot convince them, confuse them.           -- Harry S Truman
Comment 4 dfilter service freebsd_committer 2010-02-24 20:18:59 UTC
des         2010-02-24 20:18:51 UTC

  FreeBSD ports repository

  Modified files:
    .                    GIDs UIDs 
    sysutils/munin-common Makefile 
    sysutils/munin-master Makefile pkg-deinstall pkg-install 
                          pkg-plist 
    sysutils/munin-master/files pkg-message.in 
    sysutils/munin-node  Makefile pkg-deinstall pkg-install 
                         pkg-plist 
    sysutils/munin-node/files pkg-message.in 
  Added files:
    sysutils/munin-node/files 
                              patch-node-node.d.freebsd-if_.in.diff 
                              patch-node-node.d.freebsd-if_errcoll_.in.diff 
  Removed files:
    sysutils/munin-common/files pkg-message.in 
  Log:
  Massive cleanup of the Munin ports:
  
   - Use a fixed UID / GID
   - Fix handling of sample configs in plists
   - Add missing plist entries (mostly directories)
   - Use /var/munin instead of %D/var/munin
   - Consistently use %%FOODIR%% instead of ${PREFIX}/foo etc.
   - Honor BATCH / PACKAGE_BUILDING
   - Fix network throughput probes (if_ and if_errcoll_)
  
  PR:             120755, 120756, 124528, 129576, 129577, 143804
  Submitted by:   see PRs
  Feature safe:   yes
  
  Revision  Changes    Path
  1.88      +2 -1      ports/GIDs
  1.102     +2 -1      ports/UIDs
  1.2       +3 -4      ports/sysutils/munin-common/Makefile
  1.2       +0 -8      ports/sysutils/munin-common/files/pkg-message.in (dead)
  1.22      +12 -4     ports/sysutils/munin-master/Makefile
  1.4       +1 -1      ports/sysutils/munin-master/files/pkg-message.in
  1.5       +0 -35     ports/sysutils/munin-master/pkg-deinstall
  1.7       +0 -40     ports/sysutils/munin-master/pkg-install
  1.10      +6 -1      ports/sysutils/munin-master/pkg-plist
  1.31      +20 -8     ports/sysutils/munin-node/Makefile
  1.1       +16 -0     ports/sysutils/munin-node/files/patch-node-node.d.freebsd-if_.in.diff (new)
  1.1       +17 -0     ports/sysutils/munin-node/files/patch-node-node.d.freebsd-if_errcoll_.in.diff (new)
  1.3       +2 -2      ports/sysutils/munin-node/files/pkg-message.in
  1.5       +0 -11     ports/sysutils/munin-node/pkg-deinstall
  1.5       +0 -24     ports/sysutils/munin-node/pkg-install
  1.15      +15 -8     ports/sysutils/munin-node/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Dag-Erling Smørgrav freebsd_committer 2010-02-24 20:23:27 UTC
State Changed
From-To: open->closed

Committed, thanks.